diff --git a/changelog b/changelog
index e99ba50..e8dd516 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091105 tpd src/axiom-website/patches.html 20091105.04.tpd.patch
+20091105 tpd src/Makefile create util.ht during interp build
 20091105 tpd src/axiom-website/patches.html 20091105.03.tpd.patch
 20091105 tpd src/interp/vmlisp.lisp fix Tuple in compiles
 20091105 tpd src/interp/postprop.lisp fix Tuple in compiles
diff --git a/src/Makefile.pamphlet b/src/Makefile.pamphlet
index 77b2570..7d02873 100644
--- a/src/Makefile.pamphlet
+++ b/src/Makefile.pamphlet
@@ -253,6 +253,11 @@ Book Volume 5 contains the interpreter.
 
 Book Volume 9 contains the compiler.
 
+We need the file util.ht from the hyperdoc pages (bookvol7.1)
+because the spad compiler checks the syntax of the ++ comments
+against the macros that exist in that file. This is done in the
+function buildHtMacroTable (htcheck.boot)
+
 <<interpdir>>=
 interpdir: ${SRC}/interp/Makefile
 	@echo 25 making ${SRC}/interp
@@ -265,6 +270,8 @@ interpdir: ${SRC}/interp/Makefile
 	@mkdir -p ${MNT}/${SYS}/doc/src/interp
 	@cp ${SPD}/books/bookvol5.pamphlet interp
 	@cp ${SPD}/books/bookvol9.pamphlet interp
+	@(cd ${MNT}/${SYS}/doc ; \
+	  ${TANGLE} -R"util.ht" ${SPD}/books/bookvol7.1.pamphlet >util.ht )
 	@(cd interp ; ${ENV} ${MAKE} )
 
 ${SRC}/interp/Makefile: ${SRC}/interp/Makefile.pamphlet
@@ -471,11 +478,6 @@ and bookvol10.3 (Packages) to the src/algebra subdirectory.
 Eventually we will pick this information up directly
 from the books directory.
 
-We need the file util.ht from the hyperdoc pages (bookvol7.1)
-because the spad compiler checks the syntax of the ++ comments
-against the macros that exist in that file. This is done in the
-function buildHtMacroTable (htcheck.boot)
-
 \subsection{Volume 10: Axiom Algebra book}
 <<algebradir>>=
 algebradir: ${SRC}/algebra/Makefile ${SPD}/books/bookvol10.pamphlet \
@@ -489,8 +491,6 @@ algebradir: ${SRC}/algebra/Makefile ${SPD}/books/bookvol10.pamphlet \
 	@mkdir -p ${MNT}/${SYS}/doc/spadhelp
 	@mkdir -p ${MNT}/${SYS}/src/algebra
 	@mkdir -p ${INT}/input
-	@(cd ${MNT}/${SYS}/doc ; \
-	  ${TANGLE} -R"util.ht" ${SPD}/books/bookvol7.1.pamphlet >util.ht )
 	@(cd algebra ; ${ENV} ${MAKE} )
 
 ${SRC}/algebra/Makefile: ${SRC}/algebra/Makefile.pamphlet
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 53cbfeb..2c324ff 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2235,5 +2235,7 @@ books/bookvol5 partial merge of ptrees<br/>
 books/bookvol5 merge, remove of astr<br/>
 <a href="patches/20091105.03.tpd.patch">20091105.03.tpd.patch</a>
 fix Tuple in compiles<br/>
+<a href="patches/20091105.04.tpd.patch">20091105.04.tpd.patch</a>
+src/Makefile create util.ht during interp build<br/>
  </body>
 </html>
